明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 373|回复: 8

[提问] 请教兄弟们怎么拉伸不了?

[复制链接]
发表于 2018-1-11 10:37 | 显示全部楼层 |阅读模式
(defun c:tt ( / p1 p2 p3 p4)
  (setq p1 '(8264.21 5538.94 1234.0))
  (setq p2 '(9078.63 6280.15 1234.0))
  (setq p3 '(8214.21 5452.33 1234.0))
  (setq p4 '(8059.62 5297.75 1234.0))
  (command ".stretch" "c" p1 p2 "" p3 p4)
  (command "_rectang" p1 p2)
  (command "PDMODE" 3 "_point" p3)
  (command "PDMODE" 3 "_point" p4)
)

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
发表于 2018-1-11 14:22 | 显示全部楼层
是不是下面原因:
1.你那个拉伸没有选到对象
2.你那个红线看起来是一个直线,实际是个3维的实体,而STRETCH 不修改三维实体、多段线宽度、切向或者曲线拟合的信息
发表于 2018-1-11 16:01 | 显示全部楼层
本帖最后由 bssurvey 于 2018-1-11 16:08 编辑

(defun c:tt ( / p1 p2 p3 p4)              
   (setq p1 '(8264.21 5538.94 1234.0))   
   (setq p2 '(9078.63 6280.15 1234.0))   
   (setq p3 '(8214.21 5452.33 1234.0))   
   (setq p4 '(8059.62 5297.75 1234.0))   
   (command "_rectang" p1 p2)            
   (command ".stretch" "c" p1 p2 "" p3 p4)

   (command "PDMODE" 3 "_point" p3)      
   (command "PDMODE" 3 "_point" p4)      
)                                       
 楼主| 发表于 2018-1-11 19:47 | 显示全部楼层
ntwison 发表于 2018-1-11 14:22
是不是下面原因:
1.你那个拉伸没有选到对象
2.你那个红线看起来是一个直线,实际是个3维的实体,而STRETC ...

多谢帮忙!(command ".stretch" "c")就是选对象了,红色的多段线
 楼主| 发表于 2018-1-11 19:49 | 显示全部楼层
bssurvey 发表于 2018-1-11 16:01
(defun c:tt ( / p1 p2 p3 p4)              
   (setq p1 '(8264.21 5538.94 1234.0))   
   (setq p2  ...

多谢帮忙!
(command "_rectang" p1 p2)            
(command "DMODE" 3 "_point" p3)      
(command "DMODE" 3 "_point" p4)  
这只是为了调试辅助的,真正目的是:(command ".stretch" "c" p1 p2 "" p3 p4),但实现不了,不知道啥原因
发表于 2018-1-15 14:56 | 显示全部楼层
本帖最后由 bssurvey 于 2018-1-15 15:01 编辑

剛查詢了一下您紅色的聚合線有不一樣的高程,因為您的拉伸是以2D平面的方式,所以造成無法拉伸的結果,以下是查詢的結果
                X=   0.7071  Y=  -0.7071  Z=   0.0000
              面積   1700000.0000
            長度   3436.0680

          在點  X=9769.8434  Y=7007.9691  Z=-1000.0000
          在點  X=9416.2900  Y=6654.4157  Z=   0.0000
          在點  X=8567.7618  Y=5805.8875  Z=   0.0000
          在點  X=8214.2085  Y=5452.3341  Z=-1000.0000
 楼主| 发表于 2018-1-23 08:47 | 显示全部楼层
bssurvey 发表于 2018-1-15 14:56
剛查詢了一下您紅色的聚合線有不一樣的高程,因為您的拉伸是以2D平面的方式,所以造成無法拉伸的結果,以下 ...

非常感谢!请问有其他办法能达到拉伸的效果吗?
发表于 2018-1-23 09:10 | 显示全部楼层
...达到拉伸的效果吗...

可能有应该有

但问题是
您的程序不能执行
是以也不知道执行后该是什么样子
...
发表于 2018-3-24 14:18 | 显示全部楼层
学习学习学习再说
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2018-10-19 14:25 , Processed in 0.192981 second(s), 28 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表